#
# spec file for package dirdiff
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dirdiff
Version:        2.1
Release:        168.1
Summary:        Diff Tool to Merge Source Trees
License:        GPL-2.0+
Group:          Productivity/Text/Utilities
Url:            https://www.samba.org/ftp/paulus/
Source:         https://www.samba.org/ftp/paulus/dirdiff-%{version}.tar.gz
Patch0:         dirdiff.patch
Patch1:         dirdiff.uninitialized.patch
BuildRequires:  tcl-devel
Requires:       tcl
Requires:       tk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dirdiff is a graphical tool for displaying the differences between
directory trees and for merging changes from one tree into another.
Dirdiff can handle up to five trees.  It displays a main window with a
list of the files that are different between the trees with colored
squares to indicate the relative ages of the versions.	A menu allows
you to display the differences between any two of the versions in
another window.  Another menu allows you to copy the file from one tree
to another.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make OPTFLAGS="%{optflags} -DUSE_INTERP_RESULT" %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_libdir}/lib*

%changelog
* Wed Apr 22 2015 mpluskal@suse.com
- Add project url
- Update download url
- Cleanup spec-file with spec-cleaner
* Thu Aug  1 2013 max@suse.com
- Add -DUSE_INTERP_RESULT to fix build with Tcl 8.6.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Thu Nov 11 2010 pgajdos@suse.cz
- added tk into Requires [bnc#651643]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue May 24 2005 olh@suse.de
- update to version 2.1
* Wed Jan 26 2005 meissner@suse.de
- RPM_OPT_FLAGS added, fixed warnings.
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Tue Apr 23 2002 olh@suse.de
- update to 1.6
  add -fPIC to compile flags
* Sun Feb 17 2002 olh@suse.de
- add Xorg and XFree86 to list of rcs tags
* Sat Jan 19 2002 olh@suse.de
- update to current version
  lib64 clean
* Fri Sep 28 2001 olh@suse.de
- bugfix to diff files in the toplevel directory
  fix two other bugletts
* Tue Aug 28 2001 olh@suse.de
- update to 1.5
* Fri Jun 15 2001 olh@suse.de
- update to 1.2
  add support for BK tags
* Thu Jun 14 2001 olh@suse.de
- initial release 1.1
